org.eclipse.graphiti.features

## Interface ICreateConnectionFeature

All Superinterfaces:
  ICreateConnection, ICreateInfo, IDescription, IFeature, IFeatureProviderHolder, IName

All Known Implementing Classes:
  AbstractCreateConnectionFeature, CreateConnectionFeatureForPattern

    public interface ICreateConnectionFeature
    extends ICreateConnection, IFeature

The Interface ICreateConnectionFeature.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.func.ICreateConnection

`attachedToSource, canceledAttaching, canCreate, canStartConnection, create, endConnecting, startConnecting`

### Methods inherited from interface org.eclipse.graphiti.func.ICreateInfo

`getCreateDescription, getCreateImageId, getCreateLargeImageId, getCreateName`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`